# xrpl\_signTransaction

#### Request structure:&#x20;

```typescript
{
  tx_json: xrpl.Transaction;
  fee?: xrpl.Payment;
  includesFee?: boolean;
  options?: { autofill?: boolean; submit?: boolean };
}
```

#### Usage:

```typescript
provider.request(
    {
      method: 'xrpl_signTransaction',
      params: {
        tx_json: {}, // XRP Ledger transaction object
        options: { autofill: true; submit: true };
      },
    },
    chainId: 'xrpl:0' // xrpl:0, xrpl:1, xrpl:2
);
```

#### Response

```typescript
tx_json: xrpl.TransactionAndMetadata;
```

#### Example using `wc-client`:

```typescript
import core from '@joey-wallet/wc-client/core';
const methods = core.methods

const response = await methods.signTransaction({
  provider,
  chainId: chain,
  request: {
    tx_json: {
      TransactionType: 'AccountSet',
      Account: 'rUmoi1vt8apeKsqFYKMRSiMvWixFDMC8Jz',
    },
    options: { autofill: true, submit: true },
  },
});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.joeywallet.xyz/integration/supported-networks/xrp-ledger/methods/xrpl_signtransaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
